=== debian/changelog ===
ros-kinetic-omron-os32c-driver (1.0.0-0xenial) xenial; urgency=high

  * feat: ~reconnect_timeout parameter
    Driver will automatically reconnect if no connection can be established
    or if a scan has not be received for the specified number of seconds.
  * Added reflection measurement and frequency param
  * Use TCP/IP polling instead of UDP
  * Contributors: Rein Appeldoorn, Tom de Winter

 -- Rein Appeldoorn <rein@eurogroep.com>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.3-0xenial) xenial; urgency=high

  * Merge pull request #23 <https://github.com/ros-drivers/omron/issues/23> from ros-drivers/ci/kinetic_melodic
    Industrial CI Kinetic + Melodic
  * fix: test narrow conversion from char to uint8_t
  * Merge pull request #21 <https://github.com/ros-drivers/omron/issues/21> from ros-drivers/rosconsole_bridge
    Enabled rosconsole_bridge for odva_ethernetip
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <rein@ruvu.nl>  Wed, 17 Apr 2019 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.2-0xenial) xenial; urgency=high

  * Changed maintainer to Rein Appeldoorn
  * feat(omron_node): ~local_ip parameter for udp binding (#15 <https://github.com/ros-drivers/omron/issues/15>)
  * omron_node: Diagnostics for frequency (#14 <https://github.com/ros-drivers/omron/issues/14>)
  * Swap start and end angles. The laser rotates in the negative direction.
  * Merge pull request #10 <https://github.com/ros-drivers/omron/issues/10> from gavanderhoorn/build_infra
  * Minor manifest and build script updates.
  * Contributors: Mike Purvis, Rein Appeldoorn, gavanderhoorn

 -- Rein Appeldoorn <rein@ruvu.nl>  Thu, 17 May 2018 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.1-0xenial) xenial; urgency=high

  * Fixed library name.
  * Contributors: Tony Baltovski

 -- Rein Appeldoorn <rein@ruvu.nl>  Mon, 16 Nov 2015 23:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.0-0xenial) xenial; urgency=high

  * Initial release.
  * Contributors: Kareem Shehata, Mike Purvis, Tony Baltovski

 -- Rein Appeldoorn <rein@ruvu.nl>  Mon, 16 Nov 2015 23:00:00 -0000
