=== debian/control ===
Source: ros-kinetic-omron-os32c-driver
Section: misc
Priority: extra
Maintainer: Rein Appeldoorn <rein@eurogroep.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-odva-ethernetip, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rosunit, ros-kinetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-omron-os32c-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-diagnostic-updater, ros-kinetic-odva-ethernetip, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: Interface driver for Omron OS32C Lidar via Ethernet/IP (Industrial Protocol)
